Subject: Re: Bluetooth update for 2.6

From: Marcel Holtmann <[email-masked]>
Date: Tue, 18 Jul 2006 19:08:44 +0200

Hi Dave,

> here are two more bug fixes for the Bluetooth subsystem. Both are
> workarounds for either broken implementations or broken hardware.

we've seen a bunch of buggy USB Bluetooth devices lately and I have
three more patches to workaround various issues. I also re-based the
tree to 2.6.18-rc2 and pushed the additional changes. Please pull and
forward to Linus as soon as possible.

Regards

Marcel

Please pull from

        git://git.kernel.org/pub/scm/linux/kernel/git/holtmann/bluetooth-2.6.git

This will update the following files:

 drivers/bluetooth/hci_usb.c |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

through these ChangeSets:

Marcel Holtmann <[email-masked]> Tue, 18 Jul 2006 18:32:33 +0200 

    [Bluetooth] Enable SCO support for Broadcom HID proxy dongle
    
    The Broadcom dongles with HID proxy support actually support SCO over
    HCI if the SCO buffer size values are corrected. So instead of disabling
    the SCO support, mark this dongle with the quirk for the Bluetooth core
    to correct the wrong buffer size values.
    
    Signed-off-by: Marcel Holtmann <[email-masked]>

Marcel Holtmann <[email-masked]> Tue, 18 Jul 2006 18:04:59 +0200 

    [Bluetooth] Add quirk for another broken RTX Telecom based dongle
    
    This patch disables the ISOC transfers for another broken RTX Telecom
    based USB dongle. Starting the USB ISOC transfers only ends in a burst
    of error messages for invalid SCO packets on connection handle 0.
    
    Signed-off-by: Marcel Holtmann <[email-masked]>

Marcel Holtmann <[email-masked]> Tue, 18 Jul 2006 17:47:40 +0200 

    [Bluetooth] Correct SCO buffer size for Belkin devices
    
    The Belkin F8T012 and F8T013 devices are both based on a Bluetooth chip
    from Broadcom and their SCO buffer size values are wrong. The Bluetooth
    core should correct these values.
    
    Signed-off-by: Marcel Holtmann <[email-masked]>